## kpowersave-trinity 3.5.13.2

=== debian/changelog ===
kpowersave-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:58:51 +0200

kpowersave-trinity (0.7.3-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kpowersave-trinity (0.7.3-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

kpowersave-trinity (0.7.3-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 14 Dec 2008 15:12:00 -0600

kpowersave (0.7.3-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/patches/kubuntu_02_messages_target.diff
    - Modified maintainer field per specification

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 25 Jan 2008 09:54:46 +0000

kpowersave (0.7.3-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Drop Recommends: pm-utils | powersaved | hibernate | acpi-support.
      Let the hal package depend on the correct suspend framework.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Jan 2008 06:02:09 +0100

kpowersave (0.7.3-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable.
  * Dropped debian/patches/kubuntu_01_kdepot.patch - in KDE CDBS class.
  * Remaining Ubuntu changes:
    - debian/patches/kubuntu_02_messages_target.diff

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Wed, 24 Oct 2007 20:41:44 +0200

kpowersave (0.7.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes a crash in HardwareInfo::checkCurrentCPUFreqPolicy ().
      Closes: #422057
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Add a Build-Conflicts against autoconf2.13.
  * debian/menu
    - Update to the new menu spec.
  * debian/patches/10-kpowersave-crash-on-getenv.patch
    - Removed, fixed upstream.
  * debian/patches/06-handle_failed_suspend.patch
    - Removed, merged upstream.
  * debian/patches/05-restore_window.patch
    - Removed, merged upstream.
  * debian/patches/04-default_config.patch
    - Updated, wodim is now already in the application blacklist that is
      provided by upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Oct 2007 12:48:39 +0200

kpowersave (0.7.2-3ubuntu1) gutsy; urgency=low

  * Merge from debian unstable. 
  * Remaining Ubuntu changes:
    * debian/control: change Maintainer field
    * debian/patches/kubuntu_01_kdepot.patch
    * debian/patches/kubuntu_02_messages_target.diff

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 19 May 2007 13:22:26 +1000

kpowersave (0.7.2-3) unstable; urgency=low

  * debian/patches/10-kpowersave-crash-on-getenv.patch
    - Fixes a crash when the environment variable DESKTOP_SESSION is not set.
      Patch by Pierre Habouzit, thanks!  Closes: #422420

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Apr 2007 21:07:05 +0200

kpowersave (0.7.2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/05-restore_window.patch
    - Pull from svn. Properly restore minimized configuration dialog.
      Closes: #413638
  * debian/patches/06-handle_failed_suspend.patch
    - Pull from svn. Check the return code of the Suspend() method and display
      a message box if it failed. Closes: #413811

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Apr 2007 20:40:41 +0200

kpowersave (0.7.2-1ubuntu1) feisty; urgency=low

  * Merge from debian experimental
  * Dropped Ubuntu changes:
    * debian/control: drop Conflics/Replaces/Provides klaptopdaemon - does not
      conflict anymore
    * debian/rules: remove dh_iconcache - done by cdbs
  * Remaining Ubuntu changes:
    * debian/control: change Maintainer field
    * debian/patches/kubuntu_01_kdepot.patch
    * debian/patches/kubuntu_02_messages_target.diff

 -- Luka Renko <lure@ubuntu.com>  Mon, 19 Mar 2007 22:30:13 +0100

kpowersave (0.7.2-1) experimental; urgency=low

  * New upstream release. Closes: #412647
  * debian/patches/01-autoconf_2.6.patch,
    debian/patches/02-close_dialog_on_destroy.patch
    - Removed, merged upstream.
  * debian/patches/04-default_config.patch
    - Add wodim to application blacklist.
    - Do not unmount external media on suspend.
      kded/mediamanager in Debian is missing a patch which would allow that. 
  * Beginning with this version, the dependency on powersaved as backend has
    been dropped. All the heavy lifting is done via HAL now.
    Update debian/control accordingly:
    - Remove build dependency on libpowersave-dev.
    - Remove dependency on powersaved, add a versioned dependency on 
      hal (>= 0.5.8.1) instead (needed for cpu frequency scaling support).
    - For proper suspend/resume support, hal should use one of the existing 
      suspend frameworks. Add Recommends on these packages. 
    - Update the package description.

 -- Michael Biebl <biebl@debian.org>  Mon,  5 Mar 2007 07:24:09 +0100

kpowersave (0.7.2-0ubuntu1) feisty; urgency=low

  * New upstream release: uses HAL directly (no powersave dependency)
  * Changes:
    * drop 01-autoconf_2.6.patch: included upstream
    * drop 02-close_dialog_on_destroy.patch: included upstream
    * drop 03-reset_blankonly_to_default.patch: fixed upstream
    * update kubuntu_01_kdepot.patch to apply
    * drop Build-Depends on libpowersave-dev: now uses HAL 
    * drop Depends on powersaved: now uses HAL
    * update Maintainer field
  * UVF exception approved by MOTU https://launchpad.net/bugs/88793

 -- Luka Renko <lure@ubuntu.com>  Wed, 28 Feb 2007 22:35:46 +0100

kpowersave (0.6.2-5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added dh_iconcache
    - Add kubuntu_02_messages_target.diff fix messages 
      target for .pot generation

