=== debian/control ===
Source: kpowersave-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, libxss-dev, libxtst-dev, libhal-dev (>= 0.5.6), libdbus-1-dev (>= 0.6), libdbus-tqt-1-dev, automake, autoconf, libtool, libltdl-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/powersave/

Package: kpowersave-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hal (>= 0.5.8.1)
Description: HAL based power management applet for Trinity
 KPowersave is a KDE systray applet which allows to control the power 
 management settings and policies of your computer.
 It relies on HAL to do the heavy lifting.
 .
 Current feature list:
  * support for ACPI, APM and PMU
  * trigger suspend to disk/ram and standby
  * switch cpu frequency policy (between: performance, dynamic and powersave)
  * applet icon with information about AC state, battery fill and battery
    (warning) states
  * applet tooltip with information about battery fill and remaining battery 
    time/percentage
  * autosuspend (to suspend the machine if the user has been inactive for a 
    defined time)
  * a global configurable blacklist with programs which prevent autosuspend
    (e.g. videoplayer and cd burning tools)
  * trigger lock screen and select the lock method
  * KNotify support
  * online help
  * localisations for many languages
 KPowersave supports schemes with following configurable specific 
 settings for:
  * screensaver
  * DPMS
  * autosuspend
  * scheme specific blacklist for autosuspend
  * notification settings
