## kpowersave-trinity 14.0.6

=== debian/changelog ===
kpowersave-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:13:24 +0100
