=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kpowersave-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, libxss-dev, libxtst-dev, libhal-dev (>= 0.5.6), libdbus-1-dev (>= 0.6), libdbus-tqt-1-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libhal-dev (>= 0.5.6), libdbus-1-dev (>= 0.6), libdbus-tqt-1-dev, cmake, automake, autoconf, libtool, libltdl-dev
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/powersave/
@@ -11,8 +11,10 @@
 Package: kpowersave-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, hal (>= 0.5.8.1)
+Replaces: kpowersave-kde3 (<< 4:14.0.0~), kpowersave-trinity (<< 4:14.0.0~)
+Breaks: kpowersave-kde3 (<< 4:14.0.0~), kpowersave-trinity (<< 4:14.0.0~)
 Description: HAL based power management applet for Trinity
- KPowersave is a KDE systray applet which allows to control the power 
+ KPowersave is a TDE systray applet which allows to control the power 
  management settings and policies of your computer.
  It relies on HAL to do the heavy lifting.
  .
