=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_DOCS_ALL := AUTHORS NEWS
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_GCC_VISIBILITY="ON"

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
		
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/kpowersave-trinity::
	install -p -D -m644 debian/$(cdbs_curpkg).lintian debian/kpowersave/usr/share/lintian/overrides/$(cdbs_curpkg)
	install -p -D -m644 debian/$(cdbs_curpkg).linda debian/kpowersave/usr/share/linda/overrides/$(cdbs_curpkg)

binary-install/kpowersave-trinity::
	mv debian/kpowersave-trinity/usr/share/man debian/kpowersave-trinity/opt/trinity/share/

clean::
	find . -name Makefile.in | xargs rm -f
	rm -f acinclude.m4
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.files
	rm -f configure.in
	rm -f config.h.in
	rm -f stamp-h.in
	rm -f subdirs	
	rm -f admin/ltmain.sh
	rm -f admin/libtool.m4.in
	rm -f debian/stamp-bootstrap
